BizKitHub
DocsAPI ReferenceLedger/bff/ledger/inventory/items
postLedgerAdmin BFF

/bff/ledger/inventory/items

Save actual (counted) balances of inventoried accounts

LedgerpostBffLedgerInventoryItems

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
idstringRequired
Length: 16–24
itemsobject[]Required
Each array item:
accountCodestringRequired
Length: 3–16
countednumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
method"physical" | "document"Optional
listRefstring | nullOptional
One of 2:
Variant 1
string
Length: 0–190
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
changednumberRequired

Response example

application/json
{
  "success": false,
  "changed": 0
}

Request example

POST /bff/ledger/inventory/items

post
curl -X POST "https://api.bizkithub.com/bff/ledger/inventory/items" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "id": "example_id",
  "items": [
    {
      "accountCode": "example_accountCode"
    }
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key